import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { a as getMyAccountUrl } from './account.js';
import { l as listenTo } from './config.js';

const ClMyAccountLink$1 = /*@__PURE__*/ proxyCustomElement(class ClMyAccountLink extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    get host() { return this; }
    /**
     * The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;).
     */
    target = "_self";
    href;
    async componentWillLoad() {
        listenTo("cl-identity-gettoken", async () => {
            this.href = await getMyAccountUrl();
        });
        this.href = await getMyAccountUrl();
    }
    render() {
        return (h(Host, { key: '88219783db0073c00f1d37f7812b160ffdab46e4', "aria-disabled": this.href !== undefined ? undefined : "true" }, h("a", { key: 'ad4a1cacf02b0f70b59f2ba254304fa84056e6ff', target: this.target, href: this.href }, h("slot", { key: '41395f82b73ba60200d311e597bd7519a66a8323' }))));
    }
}, [4, "cl-my-account-link", {
        "target": [513],
        "href": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["cl-my-account-link"];
    components.forEach(tagName => { switch (tagName) {
        case "cl-my-account-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ClMyAccountLink$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ClMyAccountLink = ClMyAccountLink$1;
const defineCustomElement = defineCustomElement$1;

export { ClMyAccountLink, defineCustomElement };
