import { p as promiseResolve, g as globalScripts, b as bootstrapLazy } from './index-D6FuJqa9.js';
export { s as setNonce } from './index-D6FuJqa9.js';

/*
 Stencil Client Patch Browser v4.35.0 | MIT Licensed | https://stenciljs.com
 */

var patchBrowser = () => {
  const importMeta = import.meta.url;
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await globalScripts();
  return bootstrapLazy([["cl-add-to-cart_13",[[1,"cl-add-to-cart",{"kind":[1537],"code":[513],"quantity":[1538],"name":[513],"imageUrl":[513,"image-url"],"frequency":[513],"busy":[32],"inventory":[32],"cart":[32]},null,{"kind":["watchKindHandler"],"code":["watchCodeHandler"],"quantity":["watchQuantityHandler"]}],[1,"cl-availability",{"kind":[1537],"code":[513],"rule":[513],"cart":[32]},null,{"kind":["watchKindHandler"],"code":["watchPropHandler"]}],[1,"cl-availability-info",{"type":[513],"text":[32]},[[0,"availabilityUpdate","availabilityUpdateHandler"]],{"type":["watchTypeHandler"]}],[1,"cl-availability-status",{"type":[513],"available":[32],"hasDeliveryLeadTimes":[32]},[[0,"availabilityUpdate","availabilityUpdateHandler"]],{"type":["watchTypeHandler"]}],[1,"cl-cart",{"type":[513],"openOnAdd":[516,"open-on-add"],"open":[1540],"href":[32],"isMinicart":[32]},[[8,"keydown","handleKeyDown"]],{"open":["watchOpenHandler"]}],[1,"cl-cart-count",{"hideWhenEmpty":[516,"hide-when-empty"],"count":[32]}],[4,"cl-cart-link",{"target":[513],"minicart":[32],"href":[32]}],[4,"cl-checkout-link",{"target":[513],"href":[32]}],[4,"cl-identity-link",{"target":[513],"type":[513],"resetPasswordUrl":[513,"reset-password-url"],"scope":[513],"href":[32]},null,{"type":["watchTypeHandler"]}],[1,"cl-identity-status",{"type":[513],"status":[32]},null,{"type":["watchTypeHandler"]}],[4,"cl-my-account-link",{"target":[513],"href":[32]}],[1,"cl-price",{"kind":[1537],"code":[513]},null,{"kind":["watchKindHandler"],"code":["watchCodeHandler"]}],[1,"cl-price-amount",{"type":[513],"price":[32]},[[0,"priceUpdate","priceUpdateHandler"]]]]]], options);
});
