import { type AuthenticateOptions } from "@commercelayer/js-auth";
import { type CommerceLayerClient } from "@commercelayer/sdk";
import { type Config } from "./config";
export type Token = ({
    type: "guest";
} | {
    type: "customer";
    customerId: string;
}) & {
    accessToken: string;
    scope?: string;
};
export declare const getAccessToken: ((clientCredentials: AuthenticateOptions<"client_credentials">) => Promise<Token>) & import("lodash").MemoizedFunction;
export declare function createClient(config: Config): Promise<CommerceLayerClient>;
export declare function logout(): Promise<void>;
