const prefix = "commercelayer_";
export function getKeyForCart(config) {
    const scope = (config.scope ?? "undefined").replace(" ", "-");
    const suffix = config.storageOrderKeySuffix != null
        ? `-${config.storageOrderKeySuffix}`
        : "";
    return `${prefix}order-id-${config.clientId}-${scope}${suffix}`;
}
export function getKeyForGuestToken(clientCredentials) {
    const scope = (clientCredentials.scope ?? "undefined").replace(" ", "-");
    return `${prefix}token-${clientCredentials.clientId}-${scope}`;
}
export function getKeyForCustomerToken(clientCredentials) {
    const scope = (clientCredentials.scope ?? "undefined").replace(" ", "-");
    return `${prefix}session-${clientCredentials.clientId}-${scope}`;
}
