import { Host, h, } from "@stencil/core";
import { getMyAccountUrl } from "../../apis/commercelayer/account";
import { listenTo } from "../../apis/event";
export class ClMyAccountLink {
    host;
    /**
     * The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;).
     */
    target = "_self";
    href;
    async componentWillLoad() {
        listenTo("cl-identity-gettoken", async () => {
            this.href = await getMyAccountUrl();
        });
        this.href = await getMyAccountUrl();
    }
    render() {
        return (h(Host, { key: '88219783db0073c00f1d37f7812b160ffdab46e4', "aria-disabled": this.href !== undefined ? undefined : "true" }, h("a", { key: 'ad4a1cacf02b0f70b59f2ba254304fa84056e6ff', target: this.target, href: this.href }, h("slot", { key: '41395f82b73ba60200d311e597bd7519a66a8323' }))));
    }
    static get is() { return "cl-my-account-link"; }
    static get properties() {
        return {
            "target": {
                "type": "string",
                "attribute": "target",
                "mutable": false,
                "complexType": {
                    "original": "\"_self\" | \"_blank\" | \"_parent\" | \"_top\"",
                    "resolved": "\"_blank\" | \"_parent\" | \"_self\" | \"_top\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;)."
                },
                "getter": false,
                "setter": false,
                "reflect": true,
                "defaultValue": "\"_self\""
            }
        };
    }
    static get states() {
        return {
            "href": {}
        };
    }
    static get elementRef() { return "host"; }
}
