import type { Bundle } from "../../types";
/**
 * Get a Bundle by providing a bundle code using the `list` API.
 * List API **does not provide** _stock information_.
 * @protected
 */
export declare const _getBundleViaList: (code: string) => Promise<Pick<Bundle, "created_at" | "updated_at" | "id" | "code" | "currency_code" | "price_amount_cents" | "price_amount_float" | "formatted_price_amount" | "compare_at_amount_cents" | "compare_at_amount_float" | "formatted_compare_at_amount"> | undefined>;
