import type { Sku } from "../../types";
/**
 * Get a SKU by providing a SKU code using the `list` API.
 * List API **does not provide** _stock information_.
 * @protected
 */
export declare const _getSkuViaList: (code: string) => Promise<Pick<Sku, "id" | "code"> | undefined>;
