import { type JSX } from "../../stencil-public-runtime";
import type { AvailabilityUpdateEventPayload } from "../../apis/types";
export declare class ClAvailabilityStatus {
    host: HTMLClAvailabilityStatusElement;
    private readonly typeList;
    /**
     * The product availability status.
     * It determines the visibility of the inner message.
     */
    type: "available" | "available-with-info" | "unavailable" | undefined;
    available: boolean | undefined;
    hasDeliveryLeadTimes: boolean | undefined;
    availabilityUpdateHandler(event: CustomEvent<AvailabilityUpdateEventPayload>): void;
    componentWillLoad(): Promise<void>;
    watchTypeHandler(newValue: typeof this.type): Promise<void>;
    private logType;
    render(): JSX.Element;
}
