import { type JSX } from "../../stencil-public-runtime";
export declare class ClCartLink {
    host: HTMLClCartLinkElement;
    /**
     * The browsing context in which to open the linked URL (a tab, a window, or an &lt;iframe&gt;).
     */
    target: "_self" | "_blank" | "_parent" | "_top";
    minicart: HTMLClCartElement | null;
    href: string | undefined;
    componentWillLoad(): void;
    handleClick(event: MouseEvent): Promise<void>;
    handleKeyDown(event: KeyboardEvent): void;
    private handleOpenMinicart;
    render(): JSX.Element;
}
