import { type JSX } from "../../stencil-public-runtime";
export declare class ClIdentityStatus {
    host: HTMLClIdentityStatusElement;
    private readonly typeList;
    /**
     * The user identity status (logged in or not logged in).
     * It determines the visibility of the inner message based on the stored token.
     */
    type: "guest" | "customer" | undefined;
    status: typeof this.type;
    componentWillLoad(): Promise<void>;
    watchTypeHandler(newValue: typeof this.type): Promise<void>;
    private logType;
    render(): JSX.Element;
}
